Bug 236156 - [exp-run] devel/readline: Update to 8.0
Summary: [exp-run] devel/readline: Update to 8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-02 17:20 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-04-25 19:05 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback? (pgsql)
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-02 17:20:29 UTC
Update devel/readline to 8.0

- Bump PORTREVISION of dependent ports for shlib change

Changes:        https://tiswww.case.edu/php/chet/readline/CHANGES
Comment 1 Antoine Brodin freebsd_committer 2019-03-03 19:32:13 UTC
please provide a patch that applies
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-03 19:37:00 UTC
In the URL line as before.

https://people.FreeBSD.org/~sunpoet/patch/devel-readline.txt
Comment 3 Antoine Brodin freebsd_committer 2019-03-05 07:47:31 UTC
this patch fails to apply
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-05 16:35:44 UTC
Regenerate/simplify the patch and remove all PORTREVISION bump.
https://people.FreeBSD.org/~sunpoet/patch/devel-readline-v2.txt
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-02 19:06:28 UTC
Patch for devel/readline itself is updated. Request for another exp-run. net-im/folks builds successfully with this patch.
Comment 7 Antoine Brodin freebsd_committer 2019-04-09 07:09:15 UTC
Exp-run looks fine
Comment 8 commit-hook freebsd_committer 2019-04-09 14:06:11 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Apr  9 14:05:10 UTC 2019
New revision: 498476
URL: https://svnweb.freebsd.org/changeset/ports/498476

Log:
  Update devel/readline to 8.0

  - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://tiswww.case.edu/php/chet/readline/CHANGES
  PR:		236156
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/readline.mk
  head/Mk/bsd.ruby.mk
  head/audio/ardour5/Makefile
  head/audio/cutmp3/Makefile
  head/audio/ecasound/Makefile
  head/audio/fluidsynth/Makefile
  head/audio/guitarix-lv2/Makefile
  head/audio/jack/Makefile
  head/audio/kid3-qt5/Makefile
  head/audio/lash/Makefile
  head/audio/libsmf/Makefile
  head/audio/mpiosh/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/supercollider/Makefile
  head/audio/xmms2/Makefile
  head/audio/yoshimi/Makefile
  head/biology/mrbayes/Makefile
  head/cad/abc/Makefile
  head/cad/iverilog/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/ngspice_rework/Makefile
  head/comms/gnokii/Makefile
  head/comms/hamlib/Makefile
  head/comms/obexapp/Makefile
  head/comms/wsjtx/Makefile
  head/comms/zssh/Makefile
  head/databases/cego/Makefile
  head/databases/clickhouse/Makefile
  head/databases/freetds/Makefile
  head/databases/gdbm/Makefile
  head/databases/gqlplus/Makefile
  head/databases/grass7/Makefile
  head/databases/libgda5/Makefile
  head/databases/libodbc++/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb103-server/Makefile
  head/databases/mariadb55-client/Makefile
  head/databases/mdbtools/Makefile
  head/databases/mysql55-server/Makefile
  head/databases/opendbx/Makefile
  head/databases/percona55-server/Makefile
  head/databases/pg_citus/Makefile
  head/databases/postgres-xl/Makefile
  head/databases/postgresql11-server/Makefile
  head/databases/postgresql95-plperl/Makefile
  head/databases/pspg/Makefile
  head/databases/riak/Makefile
  head/databases/sqlcached/Makefile
  head/databases/sqlite2/Makefile
  head/databases/sqlite3/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/sqlrelay/Makefile
  head/databases/sqsh/Makefile
  head/databases/tarantool/Makefile
  head/databases/virtuoso/Makefile
  head/databases/xrootd/Makefile
  head/deskutils/genius/Makefile
  head/deskutils/pal/Makefile
  head/deskutils/tasksh/Makefile
  head/devel/ald/Makefile
  head/devel/arduino-avrdude/Makefile
  head/devel/avrdude/Makefile
  head/devel/bossa/Makefile
  head/devel/cdecl/Makefile
  head/devel/cgdb/Makefile
  head/devel/clewn/Makefile
  head/devel/devtodo/Makefile
  head/devel/elf/Makefile
  head/devel/elfsh/Makefile
  head/devel/gdb/Makefile
  head/devel/gnatcoll/Makefile
  head/devel/grv/Makefile
  head/devel/hs-readline/Makefile
  head/devel/libepp-nicbr/Makefile
  head/devel/libnfc/Makefile
  head/devel/libreadline-java/Makefile
  head/devel/libvirt/Makefile
  head/devel/mspdebug/Makefile
  head/devel/omake/Makefile
  head/devel/opendht/Makefile
  head/devel/openzz/Makefile
  head/devel/p5-Term-ReadLine-Gnu/Makefile
  head/devel/pcre/Makefile
  head/devel/pcre2/Makefile
  head/devel/physfs/Makefile
  head/devel/pure-readline/Makefile
  head/devel/readline/Makefile
  head/devel/readline/distinfo
  head/devel/readline/pkg-plist
  head/devel/remake/Makefile
  head/devel/rlwrap/Makefile
  head/devel/rudiments/Makefile
  head/devel/tclreadline/Makefile
  head/devel/tdl/Makefile
  head/devel/tig/Makefile
  head/devel/urjtag/Makefile
  head/devel/yosys/Makefile
  head/emulators/bochs/Makefile
  head/emulators/hatari/Makefile
  head/emulators/vice/Makefile
  head/ftp/hsftp/Makefile
  head/ftp/lftp/Makefile
  head/ftp/quftp/Makefile
  head/ftp/yafc/Makefile
  head/games/eif/Makefile
  head/games/freeciv/Makefile
  head/games/ggz-txt-client/Makefile
  head/games/gnubg/Makefile
  head/games/gnurobots/Makefile
  head/games/hoichess/Makefile
  head/games/wesnoth/Makefile
  head/graphics/bugle/Makefile
  head/graphics/gphoto2/Makefile
  head/graphics/s10sh/Makefile
  head/lang/Gofer/Makefile
  head/lang/algol68g/Makefile
  head/lang/chaiscript/Makefile
  head/lang/cint/Makefile
  head/lang/gawk/Makefile
  head/lang/gjs/Makefile
  head/lang/guile2/Makefile
  head/lang/io/Makefile
  head/lang/kawa/Makefile
  head/lang/lci/Makefile
  head/lang/librep/Makefile
  head/lang/lua53/Makefile
  head/lang/mdk/Makefile
  head/lang/micropython/Makefile
  head/lang/mujs/Makefile
  head/lang/newlisp/Makefile
  head/lang/newlisp-devel/Makefile
  head/lang/nickle/Makefile
  head/lang/ohugs/Makefile
  head/lang/php71/Makefile
  head/lang/php72/Makefile
  head/lang/php73/Makefile
  head/lang/picoc/Makefile
  head/lang/python27/Makefile
  head/lang/python35/Makefile
  head/lang/python36/Makefile
  head/lang/python37/Makefile
  head/lang/rubinius/Makefile
  head/lang/scm/Makefile
  head/lang/sdcc/Makefile
  head/lang/spidermonkey17/Makefile
  head/lang/spidermonkey170/Makefile
  head/lang/spidermonkey185/Makefile
  head/lang/spidermonkey24/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/spidermonkey52/Makefile
  head/lang/swi-pl/Makefile
  head/lang/yap/Makefile
  head/lang/yap-devel/Makefile
  head/mail/abook/Makefile
  head/mail/mailfromd/Makefile
  head/mail/mailutils/Makefile
  head/mail/nmh/Makefile
  head/mail/nmzmail/Makefile
  head/math/R/Makefile
  head/math/SCIP/Makefile
  head/math/aamath/Makefile
  head/math/asymptote/Makefile
  head/math/bcal/Makefile
  head/math/calc/Makefile
  head/math/cvc4/Makefile
  head/math/eukleides/Makefile
  head/math/eval/Makefile
  head/math/fityk/Makefile
  head/math/giacxcas/Makefile
  head/math/gnuplot/Makefile
  head/math/gretl/Makefile
  head/math/gri/Makefile
  head/math/lambda/Makefile
  head/math/libqalculate/Makefile
  head/math/mathomatic/Makefile
  head/math/octave/Makefile
  head/math/pari/Makefile
  head/math/pspp/Makefile
  head/math/py-rpy2/Makefile
  head/math/sfst/Makefile
  head/math/spar/Makefile
  head/math/topaz/Makefile
  head/math/wcalc/Makefile
  head/misc/lxi-tools/Makefile
  head/misc/nnn/Makefile
  head/misc/pinfo/Makefile
  head/misc/tempcontrol/Makefile
  head/misc/ytree/Makefile
  head/multimedia/xine/Makefile
  head/net/afpfs-ng/Makefile
  head/net/bird/Makefile
  head/net/bird2/Makefile
  head/net/c3270/Makefile
  head/net/ccxstream/Makefile
  head/net/freeradius3/Makefile
  head/net/frr3/Makefile
  head/net/frr4/Makefile
  head/net/frr5/Makefile
  head/net/frr6/Makefile
  head/net/glusterfs/Makefile
  head/net/kamailio/Makefile
  head/net/msend/Makefile
  head/net/nfsshell/Makefile
  head/net/ocserv/Makefile
  head/net/quagga/Makefile
  head/net/samba46/Makefile
  head/net/samba47/Makefile
  head/net/samba48/Makefile
  head/net/socat/Makefile
  head/net/yaz/Makefile
  head/net/zebra/Makefile
  head/net-im/folks/Makefile
  head/net-im/freetalk/Makefile
  head/net-im/profanity/Makefile
  head/net-im/telegram/Makefile
  head/net-im/zephyr/Makefile
  head/net-mgmt/argus3-clients/Makefile
  head/net-mgmt/scli/Makefile
  head/net-mgmt/send/Makefile
  head/net-p2p/amule/Makefile
  head/net-p2p/amule-devel/Makefile
  head/net-p2p/microdc2/Makefile
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/shx/Makefile
  head/palm/pilot-link/Makefile
  head/polish/ekg2/Makefile
  head/polish/kadu/Makefile
  head/print/fontforge/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/qcl/Makefile
  head/science/silo/Makefile
  head/security/authforce/Makefile
  head/security/gnomint/Makefile
  head/security/gnupg/Makefile
  head/security/gnupg1/Makefile
  head/security/heimdal/Makefile
  head/security/kc24/Makefile
  head/security/krb5-115/Makefile
  head/security/krb5-116/Makefile
  head/security/krb5-117/Makefile
  head/security/krb5-devel/Makefile
  head/security/osiris/Makefile
  head/security/ossec-hids-local/Makefile
  head/security/softether/Makefile
  head/security/softether-devel/Makefile
  head/security/softether5/Makefile
  head/security/tinc-devel/Makefile
  head/security/wpa_supplicant/Makefile
  head/shells/es/Makefile
  head/shells/esh/Makefile
  head/shells/pear-PHP_Shell/Makefile
  head/shells/rc/Makefile
  head/shells/sparforte/Makefile
  head/sysutils/afflib/Makefile
  head/sysutils/aimage/Makefile
  head/sysutils/android-file-transfer/Makefile
  head/sysutils/apachetop/Makefile
  head/sysutils/bacula9-server/Makefile
  head/sysutils/bareos-server/Makefile
  head/sysutils/bareos16-server/Makefile
  head/sysutils/djmount/Makefile
  head/sysutils/hstr/Makefile
  head/sysutils/ipmitool/Makefile
  head/sysutils/lnav/Makefile
  head/sysutils/openipmi/Makefile
  head/sysutils/pwsafe/Makefile
  head/sysutils/renameutils/Makefile
  head/sysutils/riak-cs/Makefile
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/stanchion/Makefile
  head/sysutils/xfsprogs/Makefile
  head/sysutils/xorriso/Makefile
  head/textproc/augeas/Makefile
  head/textproc/hunspell/Makefile
  head/textproc/refdb/Makefile
  head/textproc/sdcv/Makefile
  head/textproc/ucto/Makefile
  head/www/edbrowse/Makefile
  head/www/itop/Makefile
  head/www/matomo/Makefile
  head/www/mediawiki127/Makefile
  head/www/mediawiki130/Makefile
  head/www/mediawiki131/Makefile
  head/www/mediawiki132/Makefile
  head/www/varnish4/Makefile
  head/www/varnish6/Makefile
  head/x11-wm/fvwm2/Makefile
  head/x11-wm/ratpoison/Makefile
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-09 14:08:02 UTC
Committed. Thanks!
Comment 10 Dmitri Goutnik 2019-04-10 02:31:55 UTC
I think PORTREVISION bump was meant for databases/postgresql11-client, not for -server. psql is still linked to libreadline.so.7 and doesn't start after this update:

$ readelf -d /usr/local/bin/psql | grep readline
 0x0000000000000000 NEEDED               Shared library: [libreadline.so.7]
Comment 11 commit-hook freebsd_committer 2019-04-10 20:30:33 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Apr 10 20:29:18 UTC 2019
New revision: 498593
URL: https://svnweb.freebsd.org/changeset/ports/498593

Log:
  Bump PORTREVISION for devel/readline shlib change

  PR:		236156
  Notified by:	Dmitri Goutnik <dg@syrec.org>

Changes:
  head/databases/postgresql11-client/Makefile
Comment 12 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-10 20:31:28 UTC
(In reply to Dmitri Goutnik from comment #10)

Thanks. It should be fixed in r498593.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-25 14:40:04 UTC
Re-open by user request (via IRC), using default postgresql95{-client}, reporting that it and other postgresql versions have not had their PORTREVISION's bumped.

The full list of (readline) dependents should be swept again, at least for postgresql ports.
Comment 14 andrew 2019-04-25 14:42:40 UTC
Specifically, the list of ports to bump was clearly obtained by grepping the port makefiles, which is an inadequate approach given the existence of the .include directive. The actual dependencies should have been checked instead.
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-25 14:47:23 UTC
CC pgsql@ for a headsup/feedback (See comment 10, comment 13)
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-25 14:49:54 UTC
At least for postgresql95, the -server port appears to override the PORTREVISION in -client, that is to say that PORTREVISION in postgresql95-client (at least) appears to be ignored.
Comment 17 commit-hook freebsd_committer 2019-04-25 18:35:17 UTC
A commit references this bug:

Author: crees
Date: Thu Apr 25 18:34:45 UTC 2019
New revision: 500060
URL: https://svnweb.freebsd.org/changeset/ports/500060

Log:
  Don't overwrite PORTREVISION from the slave, following readline update.

  I've had to bump revision for several slaves here, but most will not
  be rebuilt, except the -client slaves.  Apologies for anyone having
  to rebuild -clients unnecessarily, but it's not a heavy task- better safe
  than sorry.

  PR:		ports/236156
  Reported by:	Andrew Dunstan (PostgreSQL), koobs, Dmitri Goutnik

Changes:
  head/databases/postgresql10-client/Makefile
  head/databases/postgresql10-contrib/Makefile
  head/databases/postgresql10-pgtcl/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql11-client/Makefile
  head/databases/postgresql94-server/Makefile
  head/databases/postgresql95-client/Makefile
  head/databases/postgresql95-server/Makefile
  head/databases/postgresql96-client/Makefile
  head/databases/postgresql96-contrib/Makefile
  head/databases/postgresql96-docs/Makefile
  head/databases/postgresql96-pgtcl/Makefile
  head/databases/postgresql96-pltcl/Makefile
  head/databases/postgresql96-server/Makefile
Comment 18 Chris Rees freebsd_committer 2019-04-25 18:37:26 UTC
Committed, thanks for the headsup.

Finding dependencies is easily and correctly done by grepping INDEX, but that misses out OPTIONS.  Grepping Makefiles matches OPTIONS, but can break slaves as we see here.

If you have a slave port that has OPTIONS, you're basically stuffed as far as I can see :)
Comment 19 Palle Girgensohn freebsd_committer 2019-04-25 19:05:40 UTC
only databases/postgresql??-client links with libreadline AFAIK. They are covered by the latset commit.